import { ReactNode } from 'react';
export declare type Props<Values> = {
    children: ReactNode;
    onSubmit: (values: Values) => void | Promise<void>;
    className?: string;
    validateOnBlur?: boolean;
};
export declare const Form: {
    <V extends Record<string, any>>({ children, onSubmit, className, validateOnBlur, }: Props<V>): JSX.Element;
    Field: import("react").FC<import("./Field").Props>;
};
