"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Form = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const useForm_1 = require("../hooks/useForm");
const Field_1 = require("./Field");
const Form = ({ children, onSubmit, className, validateOnBlur = true, }) => {
    const form = (0, useForm_1.useForm)({ onSubmit, options: { validateOnBlur } });
    return ((0, jsx_runtime_1.jsx)(useForm_1.FormProvider, Object.assign({ value: form }, { children: (0, jsx_runtime_1.jsx)("form", Object.assign({ className: className, onSubmit: form.handleSubmit, method: "get" }, { children: children })) })));
};
exports.Form = Form;
exports.Form.Field = Field_1.Field;
//# sourceMappingURL=Form.js.map