export declare type EventHandler<T> = (event?: T) => void | Promise<void>;
export declare type EventRemovalCallback = () => void;
export declare const on: <T = any>(type: string, handler: EventHandler<T>) => EventRemovalCallback;
export declare const off: <T = any>(type: string, handler: EventHandler<T>) => void;
export declare const emit: <T = any>(type: string, event?: T) => Promise<any[]>;
